import request from '@/utils/request'

// 查询电机列表
export function getIsMotorPage(query) {
  return request({
    url: '/iscs/motor/getIsMotorPage',
    method: 'get',
    params: query
  })
}
// 查询电机对应的锁定站的点位列表
export function getIsMotorListByLotoId(query) {
  return request({
    url: '/iscs/motor/getIsMotorListByLotoId',
    method: 'get',
    params: query
  })
}
// 移动电机更新电机位置数据
export function updateIsMotorMove(data) {
  return request({
    url: '/iscs/motor/updateIsMotorMove',
    method: 'post',
    data: data
  })
}


// 查询电机详细
export function selectIsMotorById(motorId) {
  return request({
    url: '/iscs/motor/selectIsMotorById?motorId=' + motorId,
    method: 'get'
  })
}

// 新增电机
export function addMotor(data) {
  return request({
    url: '/iscs/motor/insertIsMotor',
    method: 'post',
    data: data
  })
}

// 修改电机
export function updateMotor(data) {
  return request({
    url: '/iscs/motor/updateIsMotor',
    method: 'post',
    data: data
  })
}

// 删除电机
export function delMotor(motorIds) {
  return request({
    url: '/iscs/motor/deleteIsMotorByMotorIds?motorIds=' + motorIds,
    method: 'post'
  })
}
